Keywords

List keywords

GET /v1/keywords keywords:read

The keywords this key watches.

response

Your keywords and the cap for this key. Field by field: Keyword.

Status: 200

request
curl https://api.xsignalfeed.com/v1/keywords \
  -H "Authorization: Bearer xsf_your_key"
response · 200
{
  "keywords": [
    {
      "id": 12,
      "query": "($SOL OR \"Solana\") -filter:retweets",
      "label": "solana",
      "active": true,
      "hits": 418,
      "last_hit_at": "2026-09-16T08:40:11+00:00",
      "last_run_at": "2026-09-16T08:41:02+00:00"
    }
  ],
  "max_keywords": 20
}